package xyz.tbvns.ui.MenuBarTabs;

import imgui.ImGui;
import xyz.tbvns.Main;
import xyz.tbvns.ui.Elements.LevelSelector;
import xyz.tbvns.ui.MenuBarTab;
import xyz.tbvns.ui.UIElement;
import xyz.tbvns.ui.UIManager;

public class SaveMenu implements MenuBarTab {
    @Override
    public void render() {
        if (ImGui.beginMenu("Files")) {
            ImGui.menuItem("Save", "CTRL S");
            ImGui.menuItem("Export", "SHIFT S");
            if (ImGui.menuItem("Open", "O")) {
                UIManager.getActiveUI().put(LevelSelector.class, true);
                Main.modelCache = null;
            }
            ImGui.menuItem("Close", "C");
            ImGui.endMenu();
        }
    }

    @Override
    public int index() {
        return 0;
    }
}
